%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Log-Dispatch-FileRotate
%define modv   1.19


Summary:       Log to files that archive/rotate themselves
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MA/MARKPF/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.19-test.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mark Pfeiffer <cpan@mlp-consulting.com.au>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Date::Manip)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Log::Dispatch::Output)
BuildRequires: perl(Log::Log4perl) >= 1.0
BuildRequires: perl(Params::Validate)
BuildArch:     noarch


%description
Log::Dispatch::FileRotate provides a simple object for logging to files
under the Log::Dispatch::* system, and automatically rotates them according
to different constraints. This is basically a Log::Dispatch::File wrapper
with additions.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__perl} test.pl


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Dec 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.19-1
- Initial build
